E-MailRelay

Namespaces | Functions
ggettext.h File Reference
`#include "gdef.h"`
`#include "gstringview.h"`
`#include <string>`
Include dependency graph for ggettext.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | G
| Low-level classes.

## Functions
void | G::gettext_init (const std::string &localedir, const std::string &name)
| Initialises the gettext() library. More...
const char * | G::gettext (const char *) noexcept
| Returns the message translation in the current locale's codeset, eg. More...
constexpr const char * | G::gettext_noop (const char *p) noexcept
| Returns the parameter. More...
const char * | G::txt (const char *p) noexcept
| A briefer alternative to G::gettext(). More...
constexpr const char * | G::tx (const char *p) noexcept
| A briefer alternative to G::gettext_noop(). More...
constexpr std::string_view | G::tx (std::string_view sv) noexcept
| String view overload. More...